// Template index file
// This file imports and exports all templates

import shalishMediationTemplate from './shalish-mediation.js';
import restorativeJusticeTemplate from './restorative-justice.js';
import transformativeJusticeTemplate from './transformative-justice.js';
import juryProtocolTemplate from './jury-protocol.js';
import refereeProtocolTemplate from './referee-protocol.js';
import peerToPeerTemplate from './peer-to-peer.js';
import chosenFacilitatorTemplate from './chosen-facilitator.js';
import facilitationCouncilTemplate from './facilitation-council.js';

// Export the array of all templates
const templates = [
  shalishMediationTemplate,
  restorativeJusticeTemplate,
  transformativeJusticeTemplate,
  juryProtocolTemplate,
  refereeProtocolTemplate,
  peerToPeerTemplate,
  chosenFacilitatorTemplate,
  facilitationCouncilTemplate
];

// Set a global variable for non-module contexts
if (typeof window !== 'undefined') {
  console.log('Setting global templates variable with', templates.length, 'templates');
  window.allTemplates = templates;
}

export default templates;